package com.YuyeTech.HeartRate.game.userData.service;

import com.YuyeTech.HeartRate.common.service.*;
import com.YuyeTech.HeartRate.game.userData.pojo.UserData;
import com.YuyeTech.HeartRate.game.userData.vo.UserDataSimpleVo;
import com.YuyeTech.HeartRate.game.userData.vo.UserDataVo;

import java.util.Map;

public interface UserDataService extends CommonService<UserDataVo, UserData, String> {

    /**
     * 根据用户名字查询数据
     * @param userId
     * @return
     */
    UserDataSimpleVo findSimpleByUserId(String userId);

    UserDataVo findByUserId(String userId);

    Map getHitCount(String userId);

    Map uploadHitCount(String userId, Integer hitCount);
}
